commit 32db39f4bce7cc4cf51ef754fd05b180dbbd341a
Author: Hans P. Schlaepfer <hanspeter.schlaepfer@revamp-it.ch>
Date:   Tue Jul 30 20:00:33 2019 +0200

    Neues Design 2019 Standard-Code templates/webpages/order/tabs/_price_sources_dialog.html

diff --git a/templates/webpages/order/tabs/_price_sources_dialog.html b/templates/webpages/order/tabs/_price_sources_dialog.html
index 8b702340f..952c0e6eb 100644
--- a/templates/webpages/order/tabs/_price_sources_dialog.html
+++ b/templates/webpages/order/tabs/_price_sources_dialog.html
@@ -14,93 +14,114 @@
 [% SET exfactor = price_source.record.exchangerate ? 1 / price_source.record.exchangerate : 1 %]
 [% SET exnoshow = price_source.record.currency_id==INSTANCE_CONF.get_currency_id %]
 [% SET places   = exnoshow ? -2 : 5 %]
-  <h2>[% 'Prices' | $T8 %]</h2>
 
-  <table>
-   <tr class='listheading'>
-    <th></th>
-    <th>[% 'Price Source' | $T8 %]</th>
-    <th>[% 'Price' | $T8 %]</th>
-    <th [%- IF exnoshow -%]style='display:none'[%- END %]>
-      [% 'Price' | $T8 -%]/[%- price_source.record.currency.name %]
-    </th>
-    <th>[% 'Best Price' | $T8 %]</th>
-    <th>[% 'Details' | $T8 %]</th>
-   </tr>
-   <tr class='listrow'>
-[%- IF price_source.record_item.active_price_source %]
-    <td>[% L.button_tag('kivi.Order.update_price_source(\'' _ FORM.item_id _ '\', \'\', \'' _ LxERP.t8('None (PriceSource)') _ '\', \'\', ' _ price_editable _ ')', LxERP.t8('Select')) %]</td>
-[%- ELSE %]
-    <td><b>[% 'Selected' | $T8 %]</b></td>
-[%- END %]
-    <td>[% 'None (PriceSource)' | $T8 %]</td>
-    <td>-</td>
-    <td [%- IF exnoshow -%]style='display:none'[%- END %]>-</td>
-    <td></td>
-    <td></td>
-   </tr>
-   [%- FOREACH price IN price_source.available_prices %]
-    <tr class='listrow'>
-[%- IF price_source.record_item.active_price_source != price.source %]
-     <td>[% L.button_tag('kivi.Order.update_price_source(\'' _ FORM.item_id _ '\', \'' _ price.source _ '\', \'' _ price.source_description _ '\', \'' _ LxERP.format_amount(price.price * exfactor, places) _ '\', ' _ price_editable _ ')', LxERP.t8('Select')) %]</td>
-[%- ELSIF price_source.record_item.sellprice * 1 != price.price * 1 %]
-     <td>[% L.button_tag('kivi.Order.update_price_source(\'' _ FORM.item_id _ '\', \'' _ price.source _ '\', \'' _ price.source_description _ '\', \'' _ LxERP.format_amount(price.price * exfactor, places) _ '\', ' _ price_editable _ ')', LxERP.t8('Update Price')) %]</td>
-[%- ELSE %]
-    <td><b>[% 'Selected' | $T8 %]</b></td>
-[% END %]
-     <td>[% price.source_description | html %]</td>
-     <td>[% price.price_as_number %]</td>
-     <td [%- IF exnoshow -%]style='display:none'[%- END %]>
-       [% LxERP.format_amount(price.price * exfactor, places) %]
-     </td>
-[% IF price.source == best_price.source %]
-     <td align='center'>&#x2022;</td>
-[% ELSE %]
-     <td></td>
-[% END %]
-     <td>[% price.description | html %]</td>
+<h2>[% 'Prices' | $T8 %]</h2>
+
+
+<table class="tbl-list">
+  <thead>
+    <tr>
+      <th></th>
+      <th>[% 'Price Source' | $T8 %]</th>
+      <th>[% 'Price' | $T8 %]</th>
+      <th [% IF exnoshow -%]style='display:none'[% END %]>
+        [% 'Price' | $T8 -%]/[%- price_source.record.currency.name %]
+      </th>
+      <th>[% 'Best Price' | $T8 %]</th>
+      <th>[% 'Details' | $T8 %]</th>
+    </tr>
+  </thead>
+  <tbody>
+    <tr>
+      [% IF price_source.record_item.active_price_source %]
+        <td><!-- PENDENT: a.buttons komplett ueberpruefen und L.button_tag() deaktivieren oder loeschen (3 Stueck hier, siehe weiter unten) -->
+        <a class="button neutral" onclick="kivi.Order.update_price_source('[% FORM.item_id %]', '', '[% LxERP.t8('None (PriceSource)') %]' , '', [% price_editable %])">[% LxERP.t8('Select') %] </a>
+        [% #L.button_tag('kivi.Order.update_price_source(\'' _ FORM.item_id _ '\', \'\', \'' _ LxERP.t8('None (PriceSource)') _ '\', \'\', ' _ price_editable _ ')', LxERP.t8('Select')) %]
+        </td>
+      [% ELSE %]
+        <td><b>[% 'Selected' | $T8 %]</b></td>
+      [% END %]
+      <td>[% 'None (PriceSource)' | $T8 %]</td>
+      <td>-</td>
+      <td [% IF exnoshow %]style='display:none'[% END %]>-</td>
+      <td></td>
+      <td></td>
+    </tr>
+    [% FOREACH price IN price_source.available_prices %]
+    <tr>
+      [% IF price_source.record_item.active_price_source != price.source %]
+        <td>
+          <a class="button neutral" onclick="kivi.Order.update_price_source('[% FORM.item_id %]', '[% price.source %]', '[% price.source_description %]', '[% LxERP.format_amount(price.price * exfactor, places) %]', [% price_editable %])">[% LxERP.t8('Select') %] </a>
+          [% #L.button_tag('kivi.Order.update_price_source(\'' _ FORM.item_id _ '\', \'' _ price.source _ '\', \'' _ price.source_description _ '\', \'' _ LxERP.format_amount(price.price * exfactor, places) _ '\', ' _ price_editable _ ')', ) %]
+        </td>
+      [% ELSIF price_source.record_item.sellprice * 1 != price.price * 1 %]
+        <td>
+          <a class="button neutral" onclick="kivi.Order.update_price_source('[% FORM.item_id %]', '[% price.source %]', '[% price.source_description %]', '[% LxERP.format_amount(price.price * exfactor, places) %]', [% price_editable %])">[% LxERP.t8('Update Price') %] </a>
+          [% #L.button_tag('kivi.Order.update_price_source(\'' _ FORM.item_id _ '\', \'' _ price.source _ '\', \'' _ price.source_description _ '\', \'' _ LxERP.format_amount(price.price * exfactor, places) _ '\', ' _ price_editable _ ')', LxERP.t8('Update Price')) %]
+        </td>
+      [% ELSE %]
+        <td><b>[% 'Selected' | $T8 %]</b></td>
+      [% END %]
+      <td>[% price.source_description | html %]</td>
+      <td>[% price.price_as_number %]</td>
+      <td [%- IF exnoshow -%]style='display:none'[%- END %]>
+        [% LxERP.format_amount(price.price * exfactor, places) %]
+      </td>
+      [% IF price.source == best_price.source %]
+        <td>&#x2022;</td>
+      [% ELSE %]
+        <td></td>
+      [% END %]
+      <td>[% price.description | html %]</td>
     </tr>
-   [%- END %]
-  </table>
+    [% END %]
+  </tbody>
+</table>
 
-  <h2>[% 'Discounts' | $T8 %]</h2>
 
-  <table>
-   <tr class='listheading'>
-    <th></th>
-    <th>[% 'Price Source' | $T8 %]</th>
-    <th>[% 'Discount' | $T8 %]</th>
-    <th>[% 'Best Discount' | $T8 %]</th>
-    <th>[% 'Details' | $T8 %]</th>
-   </tr>
-   <tr class='listrow'>
-[%- IF price_source.record_item.active_discount_source %]
-    <td>[% L.button_tag('kivi.Order.update_discount_source(\'' _ FORM.item_id _ '\', \'\', \'' _ LxERP.t8('None (PriceSource Discount)') _ '\', \'\', ' _ price_editable _ ')', LxERP.t8('Select')) %]</td>
-[%- ELSE %]
-    <td><b>[% 'Selected' | $T8 %]</b></td>
-[%- END %]
-    <td>[% 'None (PriceSource Discount)' | $T8 %]</td>
-    <td>-</td>
-    <td></td>
-    <td></td>
-   </tr>
-   [%- FOREACH price IN price_source.available_discounts %]
-    <tr class='listrow'>
-[%- IF price_source.record_item.active_discount_source != price.source %]
-     <td>[% L.button_tag('kivi.Order.update_discount_source(\'' _ FORM.item_id _ '\', \'' _ price.source _ '\', \'' _ price.source_description _ '\', \'' _ price.discount_as_percent _ '\', ' _ price_editable _ ')', LxERP.t8('Select')) %]</td>
-[%- ELSIF price_source.record_item.discount * 1 != price.discount * 1 %]
-     <td>[% L.button_tag('kivi.Order.update_discount_source(\'' _ FORM.item_id _ '\', \'' _ price.source _ '\', \'' _ price.source_description _ '\', \'' _ price.discount_as_percent  _ '\', ' _ price_editable _ ')', LxERP.t8('Update Discount')) %]</td>
-[%- ELSE %]
-    <td><b>[% 'Selected' | $T8 %]</b></td>
-[% END %]
-     <td>[% price.source_description | html %]</td>
-     <td>[% price.discount_as_percent %] %</td>
-[% IF price.source == best_discount.source %]
-     <td align='center'>&#x2022;</td>
-[% ELSE %]
-     <td></td>
-[% END %]
-     <td>[% price.description | html %]</td>
+<h2>[% 'Discounts' | $T8 %]</h2>
+
+
+<table class="tbl-list">
+  <thead>
+    <tr>
+      <th></th>
+      <th>[% 'Price Source' | $T8 %]</th>
+      <th>[% 'Discount' | $T8 %]</th>
+      <th>[% 'Best Discount' | $T8 %]</th>
+      <th>[% 'Details' | $T8 %]</th>
+    </tr>
+  </thead>
+  <tbody>
+    <tr>
+      [% IF price_source.record_item.active_discount_source %]
+        <td>[% L.button_tag('kivi.Order.update_discount_source(\'' _ FORM.item_id _ '\', \'\', \'' _ LxERP.t8('None (PriceSource Discount)') _ '\', \'\', ' _ price_editable _ ')', LxERP.t8('Select')) %]</td>
+      [% ELSE %]
+        <td><b>[% 'Selected' | $T8 %]</b></td>
+      [% END %]
+      <td>[% 'None (PriceSource Discount)' | $T8 %]</td>
+      <td>-</td>
+      <td></td>
+      <td></td>
+    </tr>
+    [% FOREACH price IN price_source.available_discounts %]
+    <tr >
+      [% IF price_source.record_item.active_discount_source != price.source %]
+        <td>[% L.button_tag('kivi.Order.update_discount_source(\'' _ FORM.item_id _ '\', \'' _ price.source _ '\', \'' _ price.source_description _ '\', \'' _ price.discount_as_percent _ '\', ' _ price_editable _ ')', LxERP.t8('Select')) %]</td>
+      [% ELSIF price_source.record_item.discount * 1 != price.discount * 1 %]
+        <td>[% L.button_tag('kivi.Order.update_discount_source(\'' _ FORM.item_id _ '\', \'' _ price.source _ '\', \'' _ price.source_description _ '\', \'' _ price.discount_as_percent _ '\', ' _ price_editable _ ')', LxERP.t8('Update Discount')) %]</td>
+      [% ELSE %]
+        <td><b>[% 'Selected' | $T8 %]</b></td>
+      [% END %]
+      <td>[% price.source_description | html %]</td>
+      <td>[% price.discount_as_percent %] %</td>
+      [% IF price.source == best_discount.source %]
+        <td>&#x2022;</td>
+      [% ELSE %]
+        <td></td>
+      [% END %]
+      <td>[% price.description | html %]</td>
     </tr>
-   [%- END %]
-  </table>
+    [% END %]
+  </tbody>
+</table>