commit 39c2e07dc85ff2413772546fde8bea5fc9754825
Author: Bernd Bleßmann <bernd@kivitendo-premium.de>
Date:   Fri Mar 6 14:05:33 2015 +0100

    Auslagern in VK-Rechnung: Übersetzungen

diff --git a/locale/de/all b/locale/de/all
index 7128dd08e..c2018c650 100755
--- a/locale/de/all
+++ b/locale/de/all
@@ -455,6 +455,7 @@ $self->{texts} = {
   'Cannot post Payment!'        => 'Zahlung kann nicht gebucht werden!',
   'Cannot post Receipt!'        => 'Beleg kann nicht gebucht werden!',
   'Cannot post a transaction without a value!' => 'Eine Buchung ohne Betrag kann nicht vorgenommen werden!',
+  'Cannot post invoice and/or transfer out! Error message:' => 'Rechnung kann nicht gebucht oder es kann nicht ausgelagert werden. Fehlermeldung:',
   'Cannot post invoice for a closed period!' => 'Das Rechnungsdatum fällt in einen abgeschlossen Zeitraum!',
   'Cannot post invoice!'        => 'Rechnung kann nicht gebucht werden!',
   'Cannot post payment for a closed period!' => 'Es können keine Zahlungen für abgeschlossene Bücher gebucht werden!',
@@ -476,6 +477,7 @@ $self->{texts} = {
   'Cannot storno invoice for a closed period!' => 'Das Rechnungsdatum der zu stornierenden Rechnung fällt in einen abgeschlossenen Zeitraum!',
   'Cannot storno storno invoice!' => 'Kann eine Stornorechnung nicht stornieren',
   'Cannot transfer negative entries.' => 'Kann keine negativen Mengen auslagern.',
+  'Cannot transfer negative quantities.' => 'Negative Mengen können nicht ausgelagert werden.',
   'Cannot transfer. <br> Reason:<br>#1' => 'Kann nicht ein-/auslagern. <br>Grund:<br>#1',
   'Carry over shipping address' => 'Lieferadresse &uuml;bernehmen',
   'Cash'                        => 'Zahlungsverkehr',
@@ -1183,6 +1185,9 @@ $self->{texts} = {
   'For AP transactions it will replace the sales taxkeys with input taxkeys with the same tax rate.' => 'Bei Kreditorenbuchungen werden die Umsatzsteuer-Steuerschlüssel durch Vorsteuer-Steuerschlüssel mit demselben Steuersatz ersetzt.',
   'For AR transactions it will replace the input taxkeys with sales taxkeys with the same tax rate.' => 'Bei Debitorenbuchungen werden die Vorsteuer-Steuerschlüssel durch Umsatzsteuer-Steuerschlüssel mit demselben Steuersatz ersetzt.',
   'For further information read this: ' => 'Für weitere Informationen zu diesem Thema lesen Sie bitte: ',
+  'For part \"#1\" there are missing #2 #3 in the default warehouse/bin \"#4/#5\"' => 'Es fehlen #2 #3 des Artikels \"#1\" im Standardlager \"#4/#5\".',
+  'For part \"#1\" there is no default warehouse and bin defined.' => 'Für Artikel \"#1\" ist kein Standardlager/-lagerplatz angegeben.',
+  'For part \"#1\" there is no default warehouse and bin for ignoring onhand defined.' => 'Für Artikel \"#1\" ist kein Standardlager/-lagerplatz für das Auslagern ohne Bestandsprüfung angegeben.',
   'For type "customer" the perl module JSON is required. Please check this on system level: $ ./scripts/installation_check.pl' => 'Für den Typ "Kunde" wird das Perl Module JSON benötigt. Überprüfbar im Installationspfad mit: $ ./scripts/installation_check.pl',
   'Foreign Exchange Gain'       => 'Wechselkurserträge',
   'Foreign Exchange Loss'       => 'Wechselkursaufwendungen',
@@ -1782,6 +1787,7 @@ $self->{texts} = {
   'Part Notes'                  => 'Bemerkungen',
   'Part Number'                 => 'Artikelnummer',
   'Part Number missing!'        => 'Artikelnummer fehlt!',
+  'Part \"#1\" has chargenumber or best before date set. So it cannot be transfered automaticaly.' => 'Bei Artikel \"#1\" ist eine Chargenummer oder ein Mindesthaltbarkeitsdatum vergeben. Deshalb kann dieser Artikel nicht automatisch ausgelagert werden.',
   'Part picker'                 => 'Artikelauswahl',
   'Partial invoices'            => 'Teilrechnungen',
   'Partnumber'                  => 'Artikelnummer',
@@ -2853,6 +2859,8 @@ $self->{texts} = {
   'Transfer in'                 => 'Einlagern',
   'Transfer in via default'     => 'Einlagern über Standard-Lagerplatz',
   'Transfer out'                => 'Auslagern',
+  'Transfer out all items of a sales invoice when posting it. Items are transfered out acording to the settings above.' => 'Alle Artikel automatisch auslagern, wenn eine Verkaufsrechnung gebucht wird. Die Lagerbewegungen erfolgt entsprechend der Einstellungen oben.',
+  'Transfer out on posting sales invoices?' => 'Auslagern beim Buchen eier Verkaufsrechnung.',
   'Transfer out via default'    => 'Auslagern über Standard-Lagerplatz',
   'Transfer qty'                => 'Umlagermenge',
   'Transfer services via default' => 'Falls Ein- /Auslagern über Standardlagerplatz aktiviert ist, auch die Dienstleistungen standardmässig Ein- und Auslagern',
diff --git a/locale/en/all b/locale/en/all
index 223d4be96..92b686361 100644
--- a/locale/en/all
+++ b/locale/en/all
@@ -396,6 +396,7 @@ $self->{texts} = {
   'Cannot post Payment!'        => '',
   'Cannot post Receipt!'        => '',
   'Cannot post a transaction without a value!' => '',
+  'Cannot post invoice and/or transfer out! Error message:' => '',
   'Cannot post invoice for a closed period!' => '',
   'Cannot post invoice!'        => '',
   'Cannot post payment for a closed period!' => '',
@@ -412,6 +413,7 @@ $self->{texts} = {
   'Cannot save preferences!'    => '',
   'Cannot save quotation!'      => '',
   'Cannot storno storno invoice!' => '',
+  'Cannot transfer negative quantities.' => '',
   'Cannot transfer. <br> Reason:<br>#1' => '',
   'Carry over shipping address' => '',
   'Cash'                        => '',
@@ -1004,6 +1006,9 @@ $self->{texts} = {
   'For AP transactions it will replace the sales taxkeys with input taxkeys with the same tax rate.' => '',
   'For AR transactions it will replace the input taxkeys with sales taxkeys with the same tax rate.' => '',
   'For further information read this: ' => '',
+  'For part \"#1\" there are missing #2 #3 in the default warehouse/bin \"#4/#5\"' => '',
+  'For part \"#1\" there is no default warehouse and bin defined.' => '',
+  'For part \"#1\" there is no default warehouse and bin for ignoring onhand defined.' => '',
   'For type "customer" the perl module JSON is required. Please check this on system level: $ ./scripts/installation_check.pl' => '',
   'Foreign Exchange Gain'       => '',
   'Foreign Exchange Loss'       => '',
@@ -1518,6 +1523,7 @@ $self->{texts} = {
   'Part Notes'                  => '',
   'Part Number'                 => '',
   'Part Number missing!'        => '',
+  'Part \"#1\" has chargenumber or best before date set. So it cannot be transfered automaticaly.' => '',
   'Part picker'                 => '',
   'Partnumber'                  => '',
   'Partnumber must not be set to empty!' => '',
@@ -2366,6 +2372,8 @@ $self->{texts} = {
   'Transfer in'                 => '',
   'Transfer in via default'     => '',
   'Transfer out'                => '',
+  'Transfer out all items of a sales invoice when posting it. Items are transfered out acording to the settings above.' => '',
+  'Transfer out on posting sales invoices?' => '',
   'Transfer out via default'    => '',
   'Transfer qty'                => '',
   'Transfer successful'         => '',