commit 6c6fffef43b9fbcfeb7fd437a1c8523b2ed166a2
Author: Sven Donath <lxo@dexo.de>
Date:   Thu Dec 30 00:37:34 2010 +0100

    Lokalisierungen ergänzt

diff --git a/locale/de/all b/locale/de/all
index d32dee36b..1333b2658 100644
--- a/locale/de/all
+++ b/locale/de/all
@@ -1103,7 +1103,7 @@ $self->{texts} = {
   'Not done yet'                => 'Noch nicht fertig',
   'Not obsolete'                => 'Gültig',
   'Note'                        => 'Hinweis',
-  'Note: Taxkeys must have a "valid from" date, and will not behave correctly without.' => '',
+  'Note: Taxkeys must have a "valid from" date, and will not behave correctly without.' => 'Hinweis: Steuerschlüssel sind fehlerhaft ohne gültiges "von Datum"',
   'Notes'                       => 'Bemerkungen',
   'Notes (will appear on hard copy)' => 'Bemerkungen',
   'Nothing has been selected for removal.' => 'Es wurde nichts f&uuml;r eine Entnahme ausgew&auml;hlt.',
diff --git a/locale/de_DE/all b/locale/de_DE/all
index 16db51adf..767bed1da 100644
--- a/locale/de_DE/all
+++ b/locale/de_DE/all
@@ -225,6 +225,7 @@ $self->{texts} = {
   'Authentification tables creation' => 'Anlegen der Tabellen zur Benutzerauthentifizierung',
   'Auto Send?'                  => 'Auto. Versand?',
   'Automatically created invoice for fee and interest for dunning %s' => 'Automatisch erzeugte Rechnung für Gebühren und Zinsen zu Mahnung %s',
+  'Available'                   => 'Verfügbar',
   'Available qty'               => 'Lagerbestand',
   'BALANCE SHEET'               => 'BILANZ',
   'BIC'                         => 'BIC',
@@ -661,7 +662,7 @@ $self->{texts} = {
   'Edit Vendor'                 => 'Lieferant editieren',
   'Edit Vendor Invoice'         => 'Einkaufsrechnung bearbeiten',
   'Edit Warehouse'              => 'Lager bearbeiten',
-  'Edit and delete a group'     => 'Gruppen bearbeiten und l&ouml;schen',
+  'Edit and delete a group'     => 'Gruppen bearbeiten und Rechte festlegen',
   'Edit bank account'           => 'Bankkonto bearbeiten',
   'Edit custom variable'        => 'Benutzerdefinierte Variable bearbeiten',
   'Edit file'                   => 'Datei bearbeiten',
@@ -1102,7 +1103,7 @@ $self->{texts} = {
   'Not done yet'                => 'Noch nicht fertig',
   'Not obsolete'                => 'Gültig',
   'Note'                        => 'Hinweis',
-  'Note: Taxkeys must have a "valid from" date, and will not be in effect otherwise.' => 'Achtung: Steuerschlüssel brauchen ein gültiges "Gültig ab"-Datum und werden andernfalls ignoriert.',
+  'Note: Taxkeys must have a "valid from" date, and will not behave correctly without.' => 'Hinweis: Steuerschlüssel sind fehlerhaft ohne gültiges "von Datum"',
   'Notes'                       => 'Notizen',
   'Notes (will appear on hard copy)' => 'Hinweise (erscheinen auf Ausdruck)',
   'Nothing has been selected for removal.' => 'Es wurde nichts f&uuml;r eine Entnahme ausgew&auml;hlt.',
@@ -1170,9 +1171,6 @@ $self->{texts} = {
   'POSTED'                      => 'Gebucht',
   'POSTED AS NEW'               => 'Als neu gebucht',
   'PRINTED'                     => 'Gedruckt',
-  'Packing List'                => 'Packliste',
-  'Packing List Date missing!'  => 'Datum für Packliste fehlt!',
-  'Packing List Number missing!' => 'Packlistennummer fehlt!',
   'Packing Lists'               => 'Lieferschein',
   'Page #1/#2'                  => 'Seite #1/#2',
   'Paid'                        => 'bezahlt',
@@ -1451,6 +1449,7 @@ $self->{texts} = {
   'Select the checkboxes that match users to the groups they should belong to.' => 'W&auml;hlen Sie diejenigen Checkboxen aus, die die Benutzer zu den gew&uuml;schten Gruppen zuordnen.',
   'Select type of removal'      => 'Grund der Entnahme ausw&auml;hlen',
   'Select type of transfer'     => 'Grund der Umlagerung ausw&auml;hlen',
+  'Selected'                    => 'Ausgewählt',
   'Selection'                   => 'Auswahlbox',
   'Selection fields: The option field must contain the available options for the selection. Options are separated by \'##\', for example \'Early##Normal##Late\'.' => 'Auswahlboxen: Das Optionenfeld muss die f&uuml;r die Auswahl verf&uuml;gbaren Eintr&auml;ge enthalten. Die Eintr&auml;ge werden mit \'##\' voneinander getrennt. Beispiel: \'Fr&uuml;h##Normal##Sp&auml;t\'.',
   'Sell Price'                  => 'Verkaufspreis',
@@ -1519,7 +1518,6 @@ $self->{texts} = {
   'Storno'                      => 'Storno',
   'Storno (one letter abbreviation)' => 'S',
   'Storno Invoice'              => 'Stornorechnung',
-  'Storno Packing List'         => 'Stornolieferschein',
   'Street'                      => 'Straße',
   'Stylesheet'                  => 'Erscheinungsbild',
   'Subject'                     => 'Betreff',
@@ -2027,7 +2025,6 @@ $self->{texts} = {
   'open'                        => 'Offen',
   'order'                       => 'Reihenfolge',
   'our vendor number at customer' => 'Unsere Lieferanten-Nr. beim Kunden',
-  'packing_list'                => 'Versandliste',
   'part_list'                   => 'warenliste',
   'pick_list'                   => 'Entnahmeliste',
   'plural first char'           => 'P',
diff --git a/locale/en/all b/locale/en/all
index 461e7dce6..54478f336 100644
--- a/locale/en/all
+++ b/locale/en/all
@@ -155,7 +155,6 @@ $self->{texts} = {
   'Add bank account'            => '',
   'Add custom variable'         => '',
   'Add note'                    => '',
-  'Add to group'                => '',
   'Add unit'                    => '',
   'Address'                     => '',
   'Administration'              => '',
@@ -171,6 +170,7 @@ $self->{texts} = {
   'All of the exports you have selected were already closed.' => '',
   'All reports'                 => '',
   'All the selected exports have already been closed, or all of their items have already been executed.' => '',
+  'All users'                   => '',
   'Allow access'                => '',
   'Allow the following users access to my follow-ups:' => '',
   'Alternatively you can create a new part which will then be selected.' => '',
@@ -225,6 +225,7 @@ $self->{texts} = {
   'Authentification tables creation' => '',
   'Auto Send?'                  => '',
   'Automatically created invoice for fee and interest for dunning %s' => '',
+  'Available'                   => '',
   'Available qty'               => '',
   'BALANCE SHEET'               => '',
   'BIC'                         => '',
@@ -449,6 +450,7 @@ $self->{texts} = {
   'Currency'                    => '',
   'Current / Next Level'        => '',
   'Current Earnings'            => '',
+  'Current assets account'      => '',
   'Current unit'                => '',
   'Current value:'              => '',
   'Custom Variables'            => '',
@@ -564,6 +566,7 @@ $self->{texts} = {
   'Do you really want to delete AR transaction #1?' => '',
   'Do you really want to delete GL transaction #1?' => '',
   'Do you really want to delete this group?' => '',
+  'Do you really want to delete this object?' => '',
   'Do you really want to delete this warehouse?' => '',
   'Do you want Lx-Office to create a group for access to all functions?' => '',
   'Do you want to <b>limit</b> your search?' => '',
@@ -667,6 +670,7 @@ $self->{texts} = {
   'Edit group '                 => '',
   'Edit group membership'       => '',
   'Edit groups'                 => '',
+  'Edit membership'             => '',
   'Edit note'                   => '',
   'Edit rights'                 => '',
   'Edit templates'              => 'Templates, edit',
@@ -1009,8 +1013,6 @@ $self->{texts} = {
   'May '                        => '',
   'May set the BCC field when sending emails' => '',
   'Medium Number'               => '',
-  'Members not of'              => 'Not members of',
-  'Members of'                  => 'Members of',
   'Memo'                        => '',
   'Menu'                        => '',
   'Message'                     => '',
@@ -1089,7 +1091,6 @@ $self->{texts} = {
   'No transaction selected!'    => '',
   'No transfers were executed in this export.' => '',
   'No unknown units where found.' => '',
-  'No user has been selected.'  => '',
   'No valid number entered for pricegroup "#1".' => '',
   'No vendor has been selected yet.' => '',
   'No warehouse has been created yet or the quantity of the bins is not configured yet.' => '',
@@ -1102,7 +1103,7 @@ $self->{texts} = {
   'Not done yet'                => '',
   'Not obsolete'                => '',
   'Note'                        => '',
-  'Note: Taxkeys must have a "valid from" date, and will not be in effect otherwise.' => '',
+  'Note: Taxkeys must have a "valid from" date, and will not behave correctly without.' => '',
   'Notes'                       => '',
   'Notes (will appear on hard copy)' => '',
   'Nothing has been selected for removal.' => '',
@@ -1170,9 +1171,6 @@ $self->{texts} = {
   'POSTED'                      => '',
   'POSTED AS NEW'               => '',
   'PRINTED'                     => '',
-  'Packing List'                => '',
-  'Packing List Date missing!'  => '',
-  'Packing List Number missing!' => '',
   'Packing Lists'               => '',
   'Page #1/#2'                  => '',
   'Paid'                        => '',
@@ -1216,6 +1214,7 @@ $self->{texts} = {
   'Please enter the login for the new user.' => '',
   'Please enter the name of the database that will be used as the template for the new database:' => '',
   'Please enter the name of the dataset you want to restore the backup in.' => '',
+  'Please enter the sales tax identification number.' => '',
   'Please enter the taxnumber in the administration menu user preferences' => '',
   'Please enter values'         => '',
   'Please insert object dimensions below.' => '',
@@ -1356,7 +1355,6 @@ $self->{texts} = {
   'Remove'                      => '',
   'Remove Draft'                => '',
   'Remove draft when posting'   => '',
-  'Remove from group'           => '',
   'Removed spoolfiles!'         => '',
   'Removing marked entries from queue ...' => '',
   'Rename the group'            => '',
@@ -1451,6 +1449,7 @@ $self->{texts} = {
   'Select the checkboxes that match users to the groups they should belong to.' => '',
   'Select type of removal'      => '',
   'Select type of transfer'     => '',
+  'Selected'                    => '',
   'Selection'                   => '',
   'Selection fields: The option field must contain the available options for the selection. Options are separated by \'##\', for example \'Early##Normal##Late\'.' => '',
   'Sell Price'                  => '',
@@ -1519,7 +1518,6 @@ $self->{texts} = {
   'Storno'                      => '',
   'Storno (one letter abbreviation)' => '',
   'Storno Invoice'              => '',
-  'Storno Packing List'         => '',
   'Street'                      => '',
   'Stylesheet'                  => '',
   'Subject'                     => '',
@@ -1695,8 +1693,6 @@ $self->{texts} = {
   'The unit in row %d has been deleted in the meantime.' => '',
   'The unit in row %d has been used in the meantime and cannot be changed anymore.' => '',
   'The units have been saved.'  => '',
-  'The user has been added to this group.' => '',
-  'The user has been removed from this group.' => '',
   'The user is a member in the following group(s):' => '',
   'The user migration process is complete.' => '',
   'The variable name must only consist of letters, numbers and underscores. It must begin with a letter. Example: send_christmas_present' => '',
@@ -1835,6 +1831,7 @@ $self->{texts} = {
   'User name'                   => '',
   'User saved!'                 => '',
   'Username'                    => '',
+  'Users in this group'         => '',
   'Ust-IDNr'                    => '',
   'Valid from'                  => '',
   'Valid until'                 => '',
@@ -1891,7 +1888,6 @@ $self->{texts} = {
   'Wrong taxes recorded'        => '',
   'YYYY'                        => '',
   'Year'                        => '',
-  'Year End'                    => '',
   'Yearly'                      => '',
   'Yearly taxreport not yet implemented' => '',
   'Yes'                         => '',
@@ -2028,7 +2024,6 @@ $self->{texts} = {
   'open'                        => '',
   'order'                       => '',
   'our vendor number at customer' => '',
-  'packing_list'                => '',
   'part_list'                   => '',
   'pick_list'                   => '',
   'plural first char'           => '',