commit c3cbcf4f45b0d3de476c0f8a4a51e1c0d2e4eb00
Author: Moritz Bunkus <m.bunkus@linet.de>
Date:   Wed Jan 19 11:07:20 2011 +0100

    Inhalte von lx-erp.conf und lx-erp.conf.default angeglichen
    
    Teil eines Fixes für Bug 1557.

diff --git a/config/lx-erp.conf b/config/lx-erp.conf
index b647a5f6f..16e50bc1c 100644
--- a/config/lx-erp.conf
+++ b/config/lx-erp.conf
@@ -1,11 +1,12 @@
 use Cwd;
 
-use vars qw(
-$dbcharset $eur $ghostscript_bin $html2ps_bin $language $latex_bin
-$latex_templates $lizenzen $memberfile $opendocument_templates
-$openofficeorg_daemon $openofficeorg_daemon_port $openofficeorg_writer_bin
-$pg_dump_exe $pg_restore_exe $sendmail $show_best_before $sid $spool $templates
-$use_rdbo $userspath $vertreter $webdav $xvfb_bin
+our qw(
+  $dbcharset $eur $ghostscript_bin $html2ps_bin $language $latex_bin
+  $latex_templates $lizenzen $memberfile $opendocument_templates
+  $openofficeorg_daemon $openofficeorg_daemon_port $openofficeorg_writer_bin
+  $parts_image_css $parts_listing_images $parts_show_image $pg_dump_exe
+  $pg_restore_exe $sendmail $show_best_before $sid $spool $templates
+  $use_rdbo $userspath $vertreter $webdav $xvfb_bin
 );
 
 # path to user configuration files
@@ -53,6 +54,13 @@ $excel_templates = 0; # Minimalunterstützung für Excel-Druckvorlagen
 # Zeige Felder für Mindesthaltbarkeitsdatum
 $show_best_before = 0;
 
+## Artikelbilder anzeigen
+# Artikelbild in der Detailansicht anzeigen
+$parts_show_image = 1; # [0|1]
+$parts_image_css = 'border:0;float:left;max-width:250px;margin-top:20px:margin-right:10px;margin-left:10px;'; # [belibige valide css definiton]
+# Artikelbilder per default in den Suchergebnissen anzeigen
+$parts_listing_images = 0; # [0|1]
+
 ## Support fuer OpenDocument-Vorlagen
 # Diese Option legt fest, ob OpenDocument-Vorlagen generell verfuegbar sind.
 $opendocument_templates = 1;
diff --git a/config/lx-erp.conf.default b/config/lx-erp.conf.default
index 41d833f1f..16e50bc1c 100644
--- a/config/lx-erp.conf.default
+++ b/config/lx-erp.conf.default
@@ -1,15 +1,14 @@
 use Cwd;
 
-use vars qw(
+our qw(
   $dbcharset $eur $ghostscript_bin $html2ps_bin $language $latex_bin
   $latex_templates $lizenzen $memberfile $opendocument_templates
   $openofficeorg_daemon $openofficeorg_daemon_port $openofficeorg_writer_bin
   $parts_image_css $parts_listing_images $parts_show_image $pg_dump_exe
-  $pg_restore_exe $sendmail $show_best_before $sid $spool $templates $userspath
-  $vertreter $webdav $xvfb_bin
+  $pg_restore_exe $sendmail $show_best_before $sid $spool $templates
+  $use_rdbo $userspath $vertreter $webdav $xvfb_bin
 );
 
-
 # path to user configuration files
 $userspath = "users";
 
@@ -22,13 +21,15 @@ $templates = "templates";
 # member file
 $memberfile = "users/members";
 
-# Wenn nicht Bilanzierung dann auf 1 setzen
+# Wenn Einnahmen-Überschussrechnung, dann auf 1 setzen
+# Wenn Bilanzierung (z.B. GmbH), dann auf 0 setzen
 $eur = 1;
 
 # location of sendmail
 $sendmail = '| /usr/sbin/sendmail -t<%if myconfig_email%> -f <%myconfig_email%><%end%>';
 
 # set language for login and admin
+# currently "de" (German), "de_DE" (new German) and "en" (English, not perfect) are available
 $language = "de";
 
 # Oracle
@@ -48,6 +49,7 @@ $ENV{PERL5LIB} .= ":/sw/lib/perl5";
 $webdav = 0;
 $lizenzen = 1;
 $vertreter = 0;
+$excel_templates = 0; # Minimalunterstützung für Excel-Druckvorlagen
 
 # Zeige Felder für Mindesthaltbarkeitsdatum
 $show_best_before = 0;
@@ -104,6 +106,13 @@ $latex_bin = 'pdflatex';
 $pg_dump_exe    = "pg_dump";
 $pg_restore_exe = "pg_restore";
 
+# Rose::DB::Object Environment laden.
+# Die RDBO Klassen bieten für Addon Schreiber sehr einfache Interfaces zu den
+# bestehenden Klassen, haben aber den Nachteil, dass der Start des Programms
+# etwa 2s mehr dauert. Damit fällt die Möglichkeit Lx-Office über CGI zu
+# betreiben weg.
+$use_rdbo = 1;
+
 # Globale Debug-Ausgaben (de-)aktivieren? Moegliche Werte sind
 # LXDebug::NONE   - keine Debugausgaben
 # LXDebug::INFO
@@ -120,7 +129,7 @@ $pg_restore_exe = "pg_restore";
 #
 # Beipiel:
 #   $LXDebug::global_level = LXDebug::TRACE | LXDebug::QUERY;
-$LXDebug::global_level = LXDebug::NONE;
+$LXDebug::global_level = LXDebug->NONE;
 
 # Überwachung der Inhalte von $form aktiviert oder nicht? Wenn ja,
 # dann können einzelne Variablen mit