commit 51f762dbcfb3d995cfbdc19a789c88db161204e5
Author: Moritz Bunkus <m.bunkus@linet.de>
Date:   Fri Apr 6 09:40:50 2018 +0200

    Font-Familie nur im <body>-Tag setzen, und auf Browser-Standard-Schrift belassen
    
    sans-serif ist ein Meta-Name, der im Browser von den Anwendern selber
    eingestellt werden kann.

diff --git a/css/bwa.css b/css/bwa.css
index 4357a97df..e9b4d6b07 100644
--- a/css/bwa.css
+++ b/css/bwa.css
@@ -1,6 +1,5 @@
 /* Allgemeine Schriftdefinition */
 th,td {
-	font-family: Arial, Verdana, Helvetica, Sans-serif;
 	font-size:small;
 }
 
diff --git a/css/kivitendo/frame_header/header.css b/css/kivitendo/frame_header/header.css
index 884392e4f..b2176a702 100644
--- a/css/kivitendo/frame_header/header.css
+++ b/css/kivitendo/frame_header/header.css
@@ -40,7 +40,6 @@
 #frame-header .frame-header-right  {
   border-spacing: 0;
   padding: 0;
-  font-family: verdana,arial,sans-serif;
   vertical-align: middle;
 }
 
diff --git a/css/kivitendo/jquery-ui.custom.css b/css/kivitendo/jquery-ui.custom.css
index 741efbf31..ba0c31d81 100644
--- a/css/kivitendo/jquery-ui.custom.css
+++ b/css/kivitendo/jquery-ui.custom.css
@@ -13,7 +13,7 @@
   border-radius: 4px;
   border: 0;
   color: #333333;
-  font-family: Trebuchet MS, Tahoma, Verdana, Arial, sans-serif;
+  font-family: sans-serif;
   font-size: 1.1em;
   overflow: hidden;
 }
diff --git a/css/kivitendo/main.css b/css/kivitendo/main.css
index 94a1fa6f0..8611462d9 100644
--- a/css/kivitendo/main.css
+++ b/css/kivitendo/main.css
@@ -14,7 +14,7 @@ Tabcolor:      #CAFFA3
 body {
   background-color: #FFFFFF;
   color: #000000;
-  font-family: Verdana, Arial, Helvetica, sans-serif;
+  font-family: sans-serif;
   font-size: 80%;
 }
 
@@ -330,11 +330,9 @@ body.menu {
   padding-left: 30px
 }
 .submit {
-  font-family: Verdana, Arial, Helvetica;
   color: #000000;
 }
 .checkbox, .radio {
-  font-family: Verdana, Arial, Helvetica;
   color: #778899;
 }
 .plus0 {
diff --git a/css/kivitendo/menu.css b/css/kivitendo/menu.css
index 6674164f0..ffeea2be8 100644
--- a/css/kivitendo/menu.css
+++ b/css/kivitendo/menu.css
@@ -27,7 +27,6 @@ body.menuv3 {
 	behavior: url("css/csshover.htc");
 	/*font-size: 14pt;*/
 	line-height: 20pt;
-	font-family: Verdana, Geneva, Tahoma, sans-serif;
 	background-color: #FFFFFF;
 	color: #000000;
 }
diff --git a/css/lx-office-erp/frame_header/header.css b/css/lx-office-erp/frame_header/header.css
index 5bddf6ea6..915615e77 100644
--- a/css/lx-office-erp/frame_header/header.css
+++ b/css/lx-office-erp/frame_header/header.css
@@ -41,7 +41,6 @@
   border-spacing: 0;
   color: black;
   padding: 0;
-  font-family: verdana,arial,sans-serif;
   vertical-align: middle;
 }
 
diff --git a/css/lx-office-erp/jquery-ui.custom.css b/css/lx-office-erp/jquery-ui.custom.css
index 4e4f2181f..0d22e5084 100644
--- a/css/lx-office-erp/jquery-ui.custom.css
+++ b/css/lx-office-erp/jquery-ui.custom.css
@@ -15,7 +15,7 @@
   border-radius: 0;
   border: 0;
   color: #000000;
-  font-family: Trebuchet MS, Tahoma, Verdana, Arial, sans-serif;
+  font-family: sans-serif;
   overflow: hidden;
 }
 
diff --git a/css/lx-office-erp/main.css b/css/lx-office-erp/main.css
index 20760f116..8cf9a67a8 100644
--- a/css/lx-office-erp/main.css
+++ b/css/lx-office-erp/main.css
@@ -71,7 +71,7 @@ html {
 }
 
 body {
-  font-family: Verdana, Arial, Helvetica, sans-serif;
+  font-family: sans-serif;
   font-size: 80%;
   background-color: white;
   color: black;
@@ -79,7 +79,6 @@ body {
 }
 
 td {
-  font-family: Verdana, Arial, Helvetica, sans-serif;
   color: black;
   font-weight: normal;
 }
@@ -89,15 +88,11 @@ td.hover:hover {
 
 
 th {
-  font-family: Verdana, Arial, Helvetica, sans-serif;
   color: black;
   font-weight: normal;
 }
 
 /* login and admin */
-.login {
-  font-family: Verdana, Arial, Helvetica, sans-serif;
-}
 div.login {
   min-height: 100%;
   height: auto !important;
@@ -264,11 +259,9 @@ div.admin {
 
 
 .submit {
-  font-family: Verdana, Arial, Helvetica, sans-serif;
   color: #000000;
 }
 .checkbox, .radio {
-  font-family: Verdana, Arial, Helvetica, sans-serif;
   color: #778899;
 }
 
diff --git a/css/lx-office-erp/menu.css b/css/lx-office-erp/menu.css
index 5eec39f84..156c57f80 100644
--- a/css/lx-office-erp/menu.css
+++ b/css/lx-office-erp/menu.css
@@ -1,6 +1,5 @@
 
 body.menu {
-  font-family: Verdana, Arial, Helvetica, sans-serif;
   font-size: 80%;
   color: black;
 }
@@ -15,7 +14,6 @@ table.menunew {
 table.menunew td {
   padding: 0;
   color:black;
-  font-family: Verdana, Arial, sans-serif;
 }
 
 body.menunew {
diff --git a/css/tooltipster.css b/css/tooltipster.css
index 66fd282f3..2a9b0ee7b 100644
--- a/css/tooltipster.css
+++ b/css/tooltipster.css
@@ -8,7 +8,7 @@
 
 /* Use this next selector to style things like font-size and line-height: */
 .tooltipster-default .tooltipster-content {
-	font-family: Arial, sans-serif;
+	font-family: sans-serif;
 	font-size: 14px;
 	line-height: 16px;
 	padding: 8px 10px;
diff --git a/css/ui-lightness/jquery-ui-1.10.3.custom.css b/css/ui-lightness/jquery-ui-1.10.3.custom.css
index 0d1c89dc1..3f3372e4f 100644
--- a/css/ui-lightness/jquery-ui-1.10.3.custom.css
+++ b/css/ui-lightness/jquery-ui-1.10.3.custom.css
@@ -786,7 +786,7 @@ body .ui-tooltip {
 /* Component containers
 ----------------------------------*/
 .ui-widget {
-	font-family: Trebuchet MS,Tahoma,Verdana,Arial,sans-serif;
+	font-family: sans-serif;
 	font-size: 1.1em;
 }
 .ui-widget .ui-widget {
@@ -796,7 +796,7 @@ body .ui-tooltip {
 .ui-widget select,
 .ui-widget textarea,
 .ui-widget button {
-	font-family: Trebuchet MS,Tahoma,Verdana,Arial,sans-serif;
+	font-family: sans-serif;
 	font-size: 1em;
 }
 .ui-widget-content {