commit 055f536ed3c0043c4776bd7eb776ab721fc3c4a2
Author: Hans Peter Schlaepfer <hanspeter.schlaepfer@revamp-it.ch>
Date:   Mon Jan 28 19:12:49 2019 +0100

    Design 4.0: Übersetzungen

diff --git a/locale/de/all b/locale/de/all
index 54972ae0d..12f7745ee 100755
--- a/locale/de/all
+++ b/locale/de/all
@@ -285,6 +285,7 @@ $self->{texts} = {
   'Amount less skonto'          => 'Betrag abzgl. Skonto',
   'Amount payable'              => 'Noch zu bezahlender Betrag',
   'Amount payable less discount' => 'Noch zu bezahlender Betrag abzüglich Skonto',
+  'Amounts'                     => 'Beträge',
   'Amounts differ too much'     => 'Beträge weichen zu sehr voneinander ab.',
   'An error occured. Letter could not be deleted.' => 'Es ist ein Fehler aufgetreten. Der Brief konnte nicht gelöscht werden.',
   'An error occurred while transferring the file.' => 'Bei Übertragung der Datei trat ein Fehler auf',
@@ -393,6 +394,7 @@ $self->{texts} = {
   'Balances'                    => 'Salden',
   'Balancing'                   => 'Bilanzierung',
   'Bank'                        => 'Bank',
+  'Bank Account'                => 'Bankkonto',
   'Bank Code'                   => 'BLZ',
   'Bank Code (long)'            => 'Bankleitzahl (BLZ)',
   'Bank Code Number'            => 'Bankleitzahl',
@@ -643,6 +645,7 @@ $self->{texts} = {
   'Comma'                       => 'Komma',
   'Comment'                     => 'Kommentar',
   'Commercial court'            => 'Amtsgericht',
+  'Communication'               => 'Kommunikation',
   'Company'                     => 'Firma',
   'Company Name'                => 'Firmenname',
   'Company name'                => 'Firmenname',
@@ -650,6 +653,7 @@ $self->{texts} = {
   'Compare to'                  => 'Gegenüberstellen zu',
   'Complexities'                => 'Komplexitätsgrade',
   'Complexity'                  => 'Komplexität',
+  'Conditions'                  => 'Bedingungen',
   'Configuration'               => 'Konfiguration',
   'Configuration of individual TODO items' => 'Konfiguration für die einzelnen Aufgabenlistenpunkte',
   'Configure'                   => 'Konfigurieren',
@@ -809,10 +813,12 @@ $self->{texts} = {
   'Custom shipto'               => 'Individuelle Lieferadresse',
   'Custom variables for module' => 'Benutzerdefinierte Variablen für Modul',
   'Customer'                    => 'Kunde',
+  'Customer &amp; Order'        => 'Kunde &amp; Auftrag',
   'Customer (database ID)'      => 'Kunde (Datenbank-ID)',
   'Customer (name)'             => 'Kunde (Name)',
   'Customer Discount'           => 'Kundenrabatt',
   'Customer GLN'                => 'GLN des Kunden',
+  'Customer Info & Status'      => 'Kunden-Info &amp; Status',
   'Customer Master Data'        => 'Kundenstammdaten',
   'Customer Name'               => 'Kundenname',
   'Customer Number'             => 'Kundennummer',
@@ -893,6 +899,7 @@ $self->{texts} = {
   'Date missing!'               => 'Datum fehlt!',
   'Date the payment is due in full' => 'Das Datum, bis die Rechnung in voller Höhe bezahlt werden muss',
   'Date the payment is due with discount' => 'Das Datum, bis die Rechnung unter Abzug von Skonto bezahlt werden kann',
+  'Dates &amp; Numbers'         => 'Daten &amp; Nummern',
   'Datev export encoding'       => 'DATEV-Export Kodierung',
   'Datevautomatik'              => 'Datev-Automatik',
   'Datum von'                   => 'Datum von',
@@ -919,7 +926,7 @@ $self->{texts} = {
   'Default Bin'                 => 'Standard-Lagerplatz',
   'Default Bin with ignoring onhand' => 'Standard-Lagerplatz für Auslagern ohne Prüfung auf Bestand',
   'Default Client (unconfigured)' => 'Standardmandant (unkonfiguriert)',
-  'Default Customer/Vendor Language' => 'Standard-Kunden-/Lieferantensprache',
+  'Default Customer/Vendor Language' => 'Standard-Sprache Kunden- &amp; Lieferanten',
   'Default Transfer'            => 'Ein- / Auslagern über Standardlagerplätze',
   'Default Transfer Out always succeed. The current part onhand is ignored and the inventory can have negative stocks (not recommended).' => 'Auslagern über Standardlagerplatz funktioniert immer (verfügbare Menge wird nicht geprüft). Die Lagerbewegung wird auf den unten konfigurierten Lagerplatz gebucht (nicht empfohlen).',
   'Default Transfer Out with negative inventory' => 'Standard-Auslagern ohne Prüfung auf Bestand',
@@ -1484,6 +1491,7 @@ $self->{texts} = {
   'GL Transactions'             => 'Dialogbuchungen',
   'GL search'                   => 'FiBu Suche',
   'GL template suggestions'     => 'Vorschlag Dialogbuchung',
+  'GL transaction posted.'      => 'Dialogbuchung ausgeführt.',
   'GL transaction posted.'      => 'Dialogbuchung verbucht.',
   'GL transactions changeable'  => 'Änderbarkeit von Dialogbuchungen',
   'GLN'                         => 'GLN',
@@ -1560,6 +1568,7 @@ $self->{texts} = {
   'ID number'                   => 'ID-Nummer',
   'ID of own bank account'      => 'Datenbank-ID des Bankkontos',
   'ID/Acc_ID'                   => 'ID/Acc_ID',
+  'IDs & Numbers'               => 'IDs &amp; Nummern',
   'II'                          => 'II',
   'III'                         => 'III',
   'IMPORT'                      => 'Importiert',
@@ -1701,6 +1710,7 @@ $self->{texts} = {
   'Invoice filter'              => 'Rechnungsfilter',
   'Invoice for fees'            => 'Rechnung über Gebühren',
   'Invoice has already been storno\'d!' => 'Diese Rechnung wurde bereits storniert.',
+  'Invoice items'               => 'Rechnungspositionen',
   'Invoice number'              => 'Rechnungsnummer',
   'Invoice to:'                 => 'Rechnung an:',
   'Invoice total'               => 'Die Rechnungssumme',
@@ -1836,6 +1846,7 @@ $self->{texts} = {
   'Lockfile removed!'           => 'System entsperrt!',
   'Login'                       => 'Anmelden',
   'Login Name'                  => 'Benutzer',
+  'Login details'               => 'Zugangsdaten',
   'Login of User'               => 'Login',
   'Logout'                      => 'Abmelden',
   'Logout now'                  => 'kivitendo jetzt verlassen',
@@ -1862,6 +1873,7 @@ $self->{texts} = {
   'Manage Custom Variables'     => 'Benutzerdefinierte Variablen',
   'Mandantennummer'             => 'Mandantennummer',
   'Mandate Date of Signature'   => 'Mandat-Unterschriftsdatum',
+  'Mandator'                    => 'Mandant',
   'Mandator ID'                 => 'Mandanten-ID',
   'Mandatory Departments'       => 'Benutzer muss Abteilungen vergeben',
   'Manually sent E-Mails will have their BCC field appended with this address. Will not trigger for employees without the right to send bcc, and will not apply to mails sent by automated jobs.' => 'Diese Mailadresse wird automatisch in das BCC Feld bei Mailversand kopiert. Hat keine Auswirkungen für Mitarbeiter ohne das Recht BCC zu versenden, und ignoriert wenn Mails automatisch versendet werden.',
@@ -1931,6 +1943,7 @@ $self->{texts} = {
   'Multiple addresses can be entered separated by commas.' => 'Mehrere Adressen können durch Kommata getrennt angegeben werden.',
   'MwSt. inkl.'                 => 'MwSt. inkl.',
   'Name'                        => 'Name',
+  'Name and Address'            => 'Name & Adresse',
   'Name 2'                      => 'Name 2',
   'Name 3'                      => 'Name 3',
   'Name and Street'             => 'Name und Straße',
@@ -1963,7 +1976,7 @@ $self->{texts} = {
   'New row, description'        => 'Neue Zeile, Artikelbeschreibung',
   'New row, partnumber'         => 'Neue Zeile, Nummer',
   'New row, qty'                => 'Neue Zeile, Menge',
-  'New sales order'             => 'Neuer Auftrag',
+  'New sales order'             => 'Neuer Auftr.',
   'New shipto'                  => 'Neue Lieferadresse',
   'New shop orders'             => 'Neue Shopbestellungen',
   'New window/tab'              => 'Neues Fenster/Tab',
@@ -2075,7 +2088,7 @@ $self->{texts} = {
   'Notes'                       => 'Bemerkungen',
   'Notes (translation for #1)'  => 'Bemerkungen (Übersetzung für #1)',
   'Notes (will appear on hard copy)' => 'Bemerkungen',
-  'Notes for customer'          => 'Bemerkungen beim Kunden',
+  'Notes for customer'          => 'Bemerkungen für Kunden',
   'Notes for vendor'            => 'Bemerkungen beim Lieferanten',
   'Nothing has been selected for removal.' => 'Es wurde nichts für eine Entnahme ausgewählt.',
   'Nothing has been selected for transfer.' => 'Es wurde nichts zum Umlagern ausgewählt.',
@@ -2105,6 +2118,7 @@ $self->{texts} = {
   'Number of orders created:'   => 'Anzahl Aufträge erstellt',
   'Number pages'                => 'Seiten nummerieren',
   'Number variables: \'PRECISION=n\' forces numbers to be shown with exactly n decimal places.' => 'Zahlenvariablen: Mit \'PRECISION=n\' erzwingt man, dass Zahlen mit n Nachkommastellen formatiert werden.',
+  'Numbers'                     => 'Nummern',
   'OB Transaction'              => 'EB-Buchung',
   'OB Transactions'             => 'EB-Buchungen',
   'Objects have been imported.' => 'Objekte wurden importiert.',
@@ -2217,7 +2231,7 @@ $self->{texts} = {
   'Part Classification'         => 'Artikel-Klassifizierung',
   'Part Description'            => 'Artikelbeschreibung',
   'Part Description missing!'   => 'Artikelbezeichnung fehlt!',
-  'Part Notes'                  => 'Bemerkungen',
+  'Part Notes'                  => 'Beschreibung',
   'Part Number'                 => 'Artikelnummer',
   'Part Number missing!'        => 'Artikelnummer fehlt!',
   'Part Type'                   => 'Artikel-Typ',
@@ -2408,6 +2422,7 @@ $self->{texts} = {
   'Pricegroup'                  => 'Preisgruppe',
   'Pricegroups'                 => 'Preisgruppen',
   'Prices'                      => 'Preise',
+  'Prices & Currency'           => 'Preise &amp; Währung',
   'Print'                       => 'Drucken',
   'Print and Post'              => 'Drucken und Buchen',
   'Print automatically'         => 'Automatisch ausdrucken',
@@ -2556,6 +2571,7 @@ $self->{texts} = {
   'Record Vendor Invoice'       => 'Einkaufsrechnung erfassen',
   'Record in'                   => 'Buchen auf',
   'Record number'               => 'Belegnummer',
+  'Record numbers and dates'    => 'Belegnummern &amp; Datum',
   'Record templates'            => 'Belegvorlagen',
   'Record type to create'       => 'Anzulegender Belegtyp',
   'Record\'s files'             => 'Belegdateien',